## nntp-merge 0.2.2

=== src/Makefile ===
CFLAGS= -Wall -Wwrite-strings -Wpointer-arith -Wnested-externs \
	-Wmissing-declarations -Wmissing-prototypes -O3 -g
# -DDEBUG
LDFLAGS= -s
LIBS= -lident

TARGETS=	nntp-merge md5cookie1way nnrpwrap

all:		$(TARGETS)

nntp-merge:	main.o post.o config.o md5.o
		$(CC) $(LDFLAGS) -o $@ $^ $(LIBS)

md5cookie1way:	sharedsecret.o md5.o
		$(CC) $(LDFLAGS) -o $@ $^ $(LIBS)

nnrpwrap:	nnrpwrap.o md5.o
		$(CC) $(LDFLAGS) -o $@ $^ $(LIBS)

clean:
		rm -f *.o *~ ./#*

realclean:	clean
		rm -f $(TARGETS)

main.o post.o config.o:		nntp-merge.h
main.o:				md5.h
md5.o:				md5.h
