=== debian/changelog ===
nntp-merge (0.2.2) experimental; urgency=low

  Initial `packaged' version (Earlier release was on 16th September 1997.):
  * Debian package.
  * Portability fixes.
  * Some docs improvements.

 -- Ian Jackson <ian@davenant.greenend.org.uk>  Mon,  1 May 2000 16:34:45 +0100

# Local variables:
# mode: debian-changelog
# End:
