=== debian/control ===
Source: nntp-merge
Section: news
Priority: extra
Maintainer: Ian Jackson <ian@davenant.greenend.org.uk>
Standards-Version: 2.1.1.0

Package: nntp-merge
Architecture: any
Depends: ${shlibs:Depends}
Description: Access-controlled, server-merging NNTP `proxy'
