=== debian/rules ===
#!/usr/bin/make -f
# $Id: rules,v 1.3 2000/05/01 14:40:33 ian Exp $

package=nntp-merge

build:
	$(checkdir)
	$(MAKE) -C src
	touch build

clean:
	$(checkdir)
	-rm -f build
	-$(MAKE) -C src clean
	-rm -rf *~ debian/tmp debian/*~ debian/files* debian/substvars*

binary-indep:	checkroot build
	$(checkdir)
# There are no architecture-independent files to be uploaded
# generated by this package.  If there were any they would be
# made here.

binary-arch:	checkroot build
	$(checkdir)
	-rm -rf debian/tmp
	install -d debian/tmp/etc/news debian/tmp/usr/{bin,sbin}
	install -d debian/tmp/var/lib/news/merge debian/tmp/usr/share/doc/${package}
	install -m 755 src/{nntp-merge,nnrpwrap,nntp-merge-tcpd} debian/tmp/usr/sbin/.
	install -m 755 src/md5cookie1way         debian/tmp/usr/bin/.
	install -m 644 src/nntp-merge.conf       debian/tmp/etc/news/.
	#
	install -d debian/tmp/DEBIAN
	install -m 755 debian/{pre,post}{inst,rm}	debian/tmp/DEBIAN/.
	install -m 644 debian/conffiles			debian/tmp/DEBIAN/.
	#
	ln -sf nntp-merge-tcpd debian/tmp/usr/sbin/in.nnrpd
	ln -sf /etc/news/{md5cookies,nntp-merge.conf} debian/tmp/var/lib/news/merge/.
	#
	cp README debian/tmp/usr/share/doc/$(package)/
	cp debian/copyright debian/tmp/usr/share/doc/$(package)/.
	cp debian/changelog debian/tmp/usr/share/doc/$(package)/changelog
	gzip -9v debian/tmp/usr/share/doc/$(package)/changelog
	dpkg-shlibdeps debian/tmp/usr/{bin,sbin}/*
	dpkg-gencontrol
	chown -hR root.root	debian/tmp
	chmod -R g-ws		debian/tmp
	chown -hR news.news	debian/tmp/{etc,var/lib/news/merge}
	chmod -R g+w		debian/tmp/{etc,var/lib/news/merge}
	chmod g+s		debian/tmp/{etc,var/lib/news/merge}
	dpkg --build debian/tmp ..

define checkdir
	test -f src/nntp-merge-tcpd
endef

# Below here is fairly generic really

binary:		binary-indep binary-arch

source diff:
	@echo >&2 'source and diff are obsolete - use dpkg-source -b'; false

checkroot:
	$(checkdir)
	test root = "`whoami`"

.PHONY: binary binary-arch binary-indep clean checkroot
